Inhoud

# Functie Shell

Start een andere toepassing en definieert de respectievelijke vensterstijl, indien nodig.

### Syntaxis:

Shell (Padnaam As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Padnaam

Naam van het programma dat u wilt starten, eventueel met volledig pad en/of argumenten.

### Vensterstijl

Optionele integer-expressie die de stijl specificeert van het venster waarin het programma wordt uitgevoerd.

De parameter Windowsstyle is alleen effectief op Windows-systemen. Op andere systemen wordt de parameter genegeerd.

De volgende waardes zijn mogelijk:

Windowstyle | Betekenis
--- | ---
0 | De focus is op het verborgen programmavenster. Niet geïmplementeerd in LibreOffice.
1 | De focus is op het programmavenster in standaardgrootte. Niet geïmplementeerd in LibreOffice.
2 | De focus is op het geminimaliseerde programmavenster.
3 | De focus is op het gemaximaliseerde programmavenster.
4 | Programmavenster van standaardgrootte, zonder focus. Niet geïmplementeerd in LibreOffice.
6 | Geminimaliseerd programmavenster, focus blijft op het actieve venster. Niet geïmplementeerd in LibreOffice.
10 | Weergave op volledig scherm.

Windowstyle 3 en 10 zijn gelijkwaardig in Windows-systemen.

### Parameter

Tekenreeks die aanvullende argumenten specificeert die aan het programma worden doorgegeven.

### bSync

Als deze waarde op Waar is ingesteld, wachten de opdracht Shell en alle LibreOffice-taken tot het Shell-proces voltooid is. Is de waarde op Onwaar ingesteld, dan reageert de shell onmiddellijk. De standaardwaarde is Onwaar.

### Foutcodes:

5 Ongeldige aanroep van procedure

53 Bestand niet gevonden

73 Niet geïmplementeerd

### Voorbeeld:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub